// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#ifndef DOCKSCATTERPLOT_H
#define DOCKSCATTERPLOT_H

#include <QtGui/QDockWidget>

namespace Ui
{
    class DockScatterPlot;
}

class Device;

class DockScatterPlot : public QDockWidget
{
    Q_OBJECT
    Q_DISABLE_COPY(DockScatterPlot)
public:
    explicit DockScatterPlot(QWidget *parent = 0);
    virtual ~DockScatterPlot();

    void device_changed(Device* pDevice);

signals:
    void device_changed(void* pSender);
protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::DockScatterPlot *m_ui;
    Device* _pDevice;

    static void enlarge(QRectF& r,double dRatio);
};

#endif // DOCKSCATTERPLOT_H
