// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#ifndef DOCKSURFACESDATA_H
#define DOCKSURFACESDATA_H

#include <QtGui/QDockWidget>

namespace Ui
{
    class DockSurfacesData;
}

class Device;

class DockSurfacesData : public QDockWidget
{
    Q_OBJECT
    Q_DISABLE_COPY(DockSurfacesData)

public:

    explicit DockSurfacesData(QWidget *parent = 0);
    virtual ~DockSurfacesData();

    void device_changed(Device* pDevice);

public slots:
    void OnCellChanged(int iRow,int iCol);
    void OnAddSurfaceAfter();
    void OnAddSurfaceBefore();
    void OnDeleteSurface();
    void onGeometryChanged();
    void onKindChanged();

signals:
    void device_changed(void* pSender);

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::DockSurfacesData *m_ui;
    Device* _pDevice;
    bool _bCanEmit;
};

#endif // DOCKSURFACESDATA_H
