// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#include "MediumBK7.h"
#include <cmath>

//////////////////////////////////////////////////////////////////////////////
MediumBK7::MediumBK7()
{ }
//////////////////////////////////////////////////////////////////////////////
double MediumBK7::index(double dLambda)
{
    //use of the Selmeier formulae
    double B1=1.03961212;
    double B2=2.31792344e-1;
    double B3=1.01046945;
    double C1=6.00069867e-3;
    double C2=2.00179144e-2;
    double C3=1.03560653e2;

    double l2=dLambda*dLambda*1.e6; // 1e6 pour la conv millimetre vers microns

    return sqrt( 1.+B1*l2/(l2-C1)+B2*l2/(l2-C2)+B3*l2/(l2-C3) );
}
//////////////////////////////////////////////////////////////////////////////
int MediumBK7::solid_color()
{
    return 0x86f2f9;
}
//////////////////////////////////////////////////////////////////////////////
