// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#include "MediumF2.h"
#include <cmath>

//////////////////////////////////////////////////////////////////////////////
MediumF2::MediumF2()
{ }
//////////////////////////////////////////////////////////////////////////////
double MediumF2::index(double dLambda)
{
    //use of the Selmeier formulae
    double B1=1.34533359;
    double B2=2.09073118e-1;
    double B3=9.37357162e-1;
    double C1=9.97743871e-3;
    double C2=4.70450767e-2;
    double C3=1.11886764e2;

    double l2=dLambda*dLambda*1.e6; //le 1.e6 sert a convertir en microns

    return sqrt( 1.+B1*l2/(l2-C1)+B2*l2/(l2-C2)+B3*l2/(l2-C3) );
}
//////////////////////////////////////////////////////////////////////////////
int MediumF2::solid_color()
{
    return 0x63d2d9;
}
//////////////////////////////////////////////////////////////////////////////
