// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#include <QtGui/QApplication>
#include "mainwindow.h"
#include <QMessageBox>
#include <QLocale>
#include <QTranslator>


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QString locale = QLocale::system().name().section('_', 0, 0);
    QTranslator translator;
    translator.load(QString(":/QtLens/QtLens_") + locale);
    app.installTranslator(&translator);

    MainWindow w;
    w.showMaximized();

    if (argc==2)
    {
        w.load_file(string(argv[1]));
    }

    return app.exec();
}
