// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>

#include <string>
using namespace std;

namespace Ui
{
    class MainWindowClass;
}

class Device;
class DockSurfacesData;
class FrameSideView;
class DockLightProperties;
class DockScatterPlot;
class DockAutofocus;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    bool load_file(string sFile);
    bool ask_save_and_action();
    void clear_device();

public slots:
    void device_changed(void* pSender);

protected:
    virtual void closeEvent ( QCloseEvent * event );

private:
    Ui::MainWindowClass *ui;

private slots:
    void on_actionNew_triggered();
    void on_actionLoad_triggered();
    void on_actionSave_triggered();
    void on_actionSave_as_triggered();
    void on_actionClose_triggered();
    void on_actionAbout_triggered();
    void on_actionQuit_triggered();

private:
    Device* _pDevice;
    DockSurfacesData* _pDockSurfacesData;
    DockLightProperties* _pDockLightProperties;
    DockAutofocus* _pDockAutofocus;
    DockScatterPlot* _pDockScatterPlot;
    FrameSideView* _pFrameSideView;
    bool _bMustSave;
    string _sFileName;
};

#endif // MAINWINDOW_H
