#include <sstream>
#include <iomanip>

#include "HTMLFeeder.h"

////////////////////////////////////////////////////////////////////////////////
string HTMLFeeder::get_page()
{
    return _sPage;
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::add(string sTxt)
{
    _sPage+=sTxt;
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::br()
{
    add("<br>");
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::add(int i)
{
    stringstream ss;
    ss << i;
    add(ss.str());
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::add(double d,int iPrecision)
{
    stringstream ss;
    if(iPrecision>0)
        ss << setprecision(iPrecision) << d;
    else
        ss << d;
    add(ss.str());
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::table_start()
{
    add("<table width=100% border=1 cellspacing=0>");
    add("<tbody>");
    add("<tr>");
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::table_end()
{
    add("</tr>");
    add("</tbody>");
    add("</table>");
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::table_new_line()
{
    add("</tr>");
    add("<tr>");
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::table_start_cell()
{
    add("<td>");
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::table_end_cell()
{
    add("</td>");
}
////////////////////////////////////////////////////////////////////////////////
void HTMLFeeder::hline()
{
    add("<hr />");
}
////////////////////////////////////////////////////////////////////////////////
